#include <stdio.h>
#include <stdlib.h>

int main()
{
    int f(const int n) {
	{
	    if (n <= 1) {
		return 1;
	    }
	    const int a = f(n - 2), b = f(n - 1);
	    const int c = a + b;
	    return c;
	}
    }
    {
	printf("%d ", f(1));
	printf("\n");
	printf("%d ", f(2));
	printf("\n");
	printf("%d ", f(3));
	printf("\n");
	printf("%d ", f(4));
	printf("\n");
	printf("%d ", f(5));
	printf("\n");
    }
}
